
From: Tony Luck <tony.luck@intel.com>

Jindrich spotted this 10 days ago, but it seems to have fallen through the
cracks.

qla_init.c uses request_firmware/release_firmware ...  so make sure that
our kernel is configured to provide them if qla2xxx is included.

Signed-off-by: Tony Luck <tony.luck@intel.com>
Cc: James Bottomley <James.Bottomley@steeleye.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/scsi/qla2xxx/Kconfig |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/scsi/qla2xxx/Kconfig~qla2xxx-mark-dependency-on-fw_loader drivers/scsi/qla2xxx/Kconfig
--- devel/drivers/scsi/qla2xxx/Kconfig~qla2xxx-mark-dependency-on-fw_loader	2005-07-27 17:50:44.000000000 -0700
+++ devel-akpm/drivers/scsi/qla2xxx/Kconfig	2005-07-27 17:51:04.000000000 -0700
@@ -2,6 +2,7 @@ config SCSI_QLA2XXX
 	tristate
 	default (SCSI && PCI)
 	depends on SCSI && PCI
+	select FW_LOADER
 
 config SCSI_QLA21XX
 	tristate "QLogic ISP2100 host adapter family support"
_
